## linuxmuster-pk-schulkonsole 0.3.0-1

=== po/Makefile ===
PACKAGE = linuxmuster-pk-schulkonsole
VERSION = 0.1.0
SUFFIXES = .po .pot .mo
XGETTEXT = xgettext
MSGMERGE = msgmerge
MSGFMT = msgfmt
INSTALL = install
DESTDIR = ../debian/$(PACKAGE)

# use xgettext.pl for tt files
XGETTEXTTT = xgettext.pl

# these are the supported languages, 
ALL_LINGUAS = de en
POFILES = $(ALL_LINGUAS:=.po)
MSGFILES = $(ALL_LINGUAS:=.mo)

TEMPLATE = $(PACKAGE).pot

libpdpodir = /usr/share/locale

EXTRA_DIST = $(POFILES)

# install
install-locale:
	for l in $(ALL_LINGUAS); do \
	    $(INSTALL) -m 644 -D $(addsuffix .mo,$$l) $(DESTDIR)$(libpdpodir)/$$l/LC_MESSAGES/$(PACKAGE).mo; \
	done

# generate .mo files from the .po files
all-local: clean $(MSGFILES)



# refresh .po files from the template
clean:
	-rm -f -- $(MSGFILES)
	-rm -f -- $(POFILES:=~)
	-rm -f -- $(TEMPLATE)

messages: clean $(POFILES)

# refresh the template from the source code
template: $(TEMPLATE)

$(TEMPLATE): POTFILES.tt.in POTFILES.perl.in
	$(XGETTEXTTT) --plugin tt2 --gnu-gettext --use-gettext-style \
	--output=$(TEMPLATE) --files-from=POTFILES.tt.in
	sed 's/CHARSET/UTF-8/' -i $(TEMPLATE)
	$(XGETTEXT) --join-existing \
	--from-code=UTF-8 --language=Perl --output=$(TEMPLATE) \
	--package-name="linuxmuster-pk-schulkonsole" --package-version=$(VERSION) \
	--copyright-holder='This file is put in the public domain' \
	--msgid-bugs-address=fschuett@gymhim.de \
	--keyword=get --files-from=POTFILES.perl.in

$(POFILES): $(TEMPLATE)
	$(MSGMERGE) -s $@ $< -o $@


%.mo: %.po
	$(MSGFMT) -f -o $@  $<

=== src/Makefile ===
all: install clean

compile:
	x86_64-linux-gnu-gcc -DENABLE_NLS=1 -DHAVE_GETTEXT=1 -DHAVE_DCGETTEXT=1 -DHAVE_CATGETS=1 -DENABLE_NLS=1 \
	-DHAVE_LC_MESSAGES=1 -DHAVE_STPCPY=1 -I.   -D_FORTIFY_SOURCE=2 \
	-DPWRAPPERDRUCKQUOTASPERLAPP=\"/usr/lib/schulkonsole/bin/wrapper-druckquotas.pl\" \
	-Wall -g -O2 -DWWWUID=33  -DMINUID=500 -MT wrapper-druckquotas.o -MD -MP \
	-c -o wrapper-druckquotas.o wrapper-druckquotas.c

link: compile
	x86_64-linux-gnu-gcc -DWRAPPERDRUCKQUOTASPERLAPP=\"/usr/lib/schulkonsole/bin/wrapper-druckquotas.pl\" \
	 -Wall -g -O2 -DWWWUID=33     -DMINUID=500     -Wl,-Bsymbolic-functions -Wl,-z,relro \
	-o wrapper-druckquotas wrapper-druckquotas.o

install: link
	chmod -f 4755 wrapper-druckquotas
	mkdir -p ../bin
	mv wrapper-druckquotas ../bin
	cp wrapper-druckquotas.pl ../bin

clean:
	rm -f wrapper-druckquotas.o wrapper-druckquotas.d

dist-clean: clean
	rm -f wrapper-druckquotas
	rm -rf ../bin

## linuxmuster-pk-schulkonsole 0.1.0-0

=== debian/changelog ===
linuxmuster-pk-schulkonsole (0.1.0-0) babo; urgency=low
  [ Frank Schütte ]
  * initial package
  * Fix pages to display correctly
  * Create Error::Druckquotas, DruckquotasConfig, create and use wrapper-druckquotas for security
  * fix Makefile and rules file for wrapper.
  * added locale files
  * translated en locale file
  * Fix menu file: remove dangling link.

 -- Frank Schütte <fschuett@gymhim.de>  Mon, 16 Nov 2015 12:14:42 +0100

=== debian/control ===
Source: linuxmuster-pk-schulkonsole
Section: debian-linuxmuster
Priority: optional
Maintainer: Frank Schütte <fschuett@gymhim.de>
Build-Depends: debhelper (>= 4.0.0), liblocale-maketext-lexicon-perl
Standards-Version: 3.6.0

Package: linuxmuster-pk-schulkonsole
Architecture: all
Depends: pykota, pkipplib, pkpgcounter, linuxmuster-schulkonsole (>= 0.19.0-1)
Description: This package provides schulkonsole plugin for pykota wrapper.

## linuxmuster-pk-schulkonsole 0.3.0-1

=== debian/changelog ===
linuxmuster-pk-schulkonsole (0.3.0-1) babo-testing; urgency=low

  * changed Error class to subclass of Schulkonsole::Error::Error
  * new version 0.3.0-1 depends on schulkonsole-0.31.0-1

 -- Frank Schütte <fschuett@gymhim.de>  Fri, 26 Feb 2016 19:07:09 +0100

linuxmuster-pk-schulkonsole (0.1.0-0) babo-testing; urgency=low
  [ Frank Schütte ]
  * initial package
  * Fix pages to display correctly
  * Create Error::Druckquotas, DruckquotasConfig, create and use wrapper-druckquotas for security
  * fix Makefile and rules file for wrapper.
  * added locale files
  * translated en locale file
  * Fix menu file: remove dangling link.

 -- Frank Schütte <fschuett@gymhim.de>  Mon, 16 Nov 2015 12:14:42 +0100

=== debian/control ===
--- 
+++ 
@@ -7,5 +7,5 @@
 
 Package: linuxmuster-pk-schulkonsole
 Architecture: all
-Depends: pykota, pkipplib, pkpgcounter, linuxmuster-schulkonsole (>= 0.19.0-1)
+Depends: pykota, pkipplib, pkpgcounter, linuxmuster-pk (>= 0.2.2), linuxmuster-schulkonsole (>= 0.31.0-1)
 Description: This package provides schulkonsole plugin for pykota wrapper.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=5

#ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
#	CFLAGS += -g
#endif
#ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
#	INSTALL_PROGRAM += -s
#endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build-arch: configure-stamp  build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.
	(cd src; $(MAKE))

	touch build-arch-stamp

build-indep:  configure-stamp build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.
	(cd po; $(MAKE) all-local)

	touch build-indep-stamp

build: build-arch build-indep

clean: clean1
clean1:
	dh_testdir
	dh_testroot
	rm -f build-indep-stamp build-arch-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean


install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package.
	(cd po; $(MAKE) install-locale)
	dh_install

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installdebconf
	dh_installdocs
#	dh_installexamples -i
#	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installman -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms -X/usr/lib/schulkonsole/bin/wrapper-druckquotas
	dh_installdeb
#	dh_perl -i
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: install
# We have nothing to do by default.


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure clean1
